;
; Setup.ini
;
; LastModified: 07-Mar-2006
;
[Strings]
; IJ Driver Installer Common GUID (Do not touch)
PRODUCT_GUID={1199FAD5-9546-44f3-81CF-FFDB8040B7BF}
; Device specific values
__NAME_PRINTERDRIVER__=Canon iP4300
NAME_INF=iP4300
NAME_DEVCODE=86

[Setup]
;-------------------------------------------------------------
; MUST
;-------------------------------------------------------------
; Product Name
ProductName=%NAME_PRODUCT_SFP%

; Default Target Directory
; <ROOT>|<SUB> --- Set hidden attributes to all <SUB> directories.
; <ROOT>       --- Create only.
DefaultTargetDir=%__FLD_PROGRAM_FILES__%|\CanonBJ\IJPrinter
DefaultTargetDir.WIN9X=%__FLD_SYSTEMDRIVE__%|\IJPrint

; Default Device Directory
DefaultDeviceDir=%__NAME_PRINTERDRIVER__%
DefaultDeviceDir.WIN9X=%NAME_DEVCODE%
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
; VisualStyle(Windows XP or later)
; This value cannot use righthand variable.
EnableVisualStyle=0
; Region Default
RegionDefault     =0    ; Default = 0
RegionDefault.0009=0	; ENGLISH:   Default(USA, Canada, South America)
RegionDefault.1809=1	; ENGLISH:   Ireland(Europe, Middle East, Africa)
RegionDefault.3009=1	; ENGLISH:   Zimbabwe(Europe, Middle East, Africa)
RegionDefault.0809=1	; ENGLISH:   England(Europe, Middle East, Africa)
RegionDefault.1c09=1	; ENGLISH:   South Africa(Europe, Middle East, Africa)
RegionDefault.3409=2	; ENGLISH:   Philippines(Asia)
RegionDefault.0c09=3	; ENGLISH:   Australian(Oceania)
RegionDefault.1409=3	; ENGLISH:   New Zealand(Oceania)
RegionDefault.000c=1	; FRENCH:    Default (Europe, Middle East, Africa)
RegionDefault.0c0c=0	; FRENCH:    Canadian(USA, Canada, South America)
RegionDefault.000a=0	; SPANISH:   Default(USA, Canada, South America)
RegionDefault.0c0a=1	; SPANISH:   Spain(Europe, Middle East, Africa)
RegionDefault.0016=0	; PORTUGUESE:Default(USA, Canada, South America)
RegionDefault.0816=1	; PORTUGUESE:Portugal(Europe, Middle East, Africa)

; License Agreement
; License.<RegionDefault>=License.txt
; If License.1 or later EULA defined, show select dialog.
;
License.0009.0=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0009.1=RES\EULA\EC_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0009.2=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0009.3=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000c.0=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000c.1=RES\EULA\EC_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000c.2=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000c.3=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000a.0=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000a.1=RES\EULA\EC_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000a.2=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.000a.3=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0016.0=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0016.1=RES\EULA\EC_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0016.2=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0016.3=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0004.0=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0011.0=RES\EULA\JP_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0012.0=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.001E.0=RES\EULA\US_%__SELECTEDLANGNAME_NOSPC__%.txt
License.0=RES\EULA\EC_%__SELECTEDLANGNAME_NOSPC__%.txt
License.1=
License.2=
License.3=
; Shortcut Directory (Default = "")
ProgramShortcutDir=%__NAME_PRINTERDRIVER__%
; Readme File
Readme.Default=..\README\readme_English.txt
Readme=..\README\readme_%__SELECTEDLANGDIR__%.txt
; Readme Shortcut (MUST Readme)
ReadmeShortcut=%NAME_READMESHORTCUT%.lnk
; Required Diskspace (MB)
; If you do not specified, installer use DRIVERDIRSIZE + 5MB for checking.
Diskspace=100
Diskspace.WIN9X=50
; Screen Caps
Resolution.X=0
Resolution.Y=0
ColorDepth=0
; ProductType (Used only for USB + LPT(0x0004))

[PortSelect]
; PortSelect
; Disable(0), Enable(1)(Default), Enable(silent)(2)
; PortSelect=0
MaskName=USB,CNBJ1394
PrintUIModule=PRINTUI.DLL
PrintUIModule.WIN9X=PRTUI9X.DLL

[DirOS]
; Can use WIN9X, WINNT5, WINNT5_x64
Common=..\Driver
WIN9X=>FUNC.WIN9X
WINNT5=>FUNC.WINNT5
WINNT5_x64=>FUNC.WINNT5_X64

[TargetOS]
>FUNC.WIN9X=%NAME_OS_WIN9X%
>FUNC.WINNT5=%NAME_OS_WINNT5%
>FUNC.WINNT5_X64=%NAME_OS_WINNT5_X64%
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------
Delimiter=%NAME_DELIMITER%

[FUNC.WIN9X]
PRINT=Prn98Me,UsbPrint

[FUNC.WINNT5]
PRINT=Prn2KXP,%NAME_INF%.inf,%NAME_INF%.cat

[FUNC.WINNT5_X64]
PRINT=PrnXPx64,%NAME_INF%.inf,%NAME_INF%.cat

[ReplaceFiles.WIN9X]
;-------------------------------------------------------------
; OPTIONAL
;-------------------------------------------------------------

; for IEEE1394 Printer
;[ReplaceFiles.WINNT5]
;;-------------------------------------------------------------
;; OPTIONAL
;;-------------------------------------------------------------
;Print=\System32\Drivers\CNMFWC.sys

[InstallFiles]
;-------------------------------------------------------------
; Windows NTx86, NTamd64
;-------------------------------------------------------------
PRINT|..\DrvSetup=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRINTERDRIVER__%\cnmvsa.exe

[InstallFiles.WIN9X]
;-------------------------------------------------------------
; Windows 9X only
;-------------------------------------------------------------
PRINT|.\Prn98Me=%__FLD_SYSTEM__%\CJTHK16.DLL
PRINT|.\Prn98Me=%__FLD_SYSTEM__%\CJTHK32.DLL
PRINT|.\Prn98Me=%__FLD_SYSTEM__%\CJTHKM16.DLL
PRINT|.\Prn98Me=%__FLD_SYSTEM__%\CJTHKM32.DLL
PRINT|.\UsbPrint=%__FLD_SYSTEM__%\MpUsbPrt.sys,0x1
PRINT|.\UsbPrint=%__FLD_SYSTEM__%\MpUsbAdd.dll,0x1
PRINT|.\UsbPrint=%__FLD_SYSTEM__%\MpUsbMon.dll,0x1

[Shortcut.WIN9X]
; <POS>|<LinkName>=<Target>
; POS = 0(Programs) or 1(Desktop)
1|%__NAME_PRINTERDRIVER__%.lnk=%__FLD_COMMON_PROGRAMS__%\%__NAME_PRINTERDRIVER__%

[Uninstaller]
;-------------------------------------------------------------
; OPTIONAL 
;  But if you set uninstallation information, set the 
;  following values.
;  DisplayName, Files, TargetDir, and ProductGUID
;-------------------------------------------------------------
;;  Version(obsolete) ---> currently not used.
DisplayName=%__NAME_PRINTERDRIVER__%
Files.WINNT5_X64=DelDrv.exe,Setup64.ini,RES\DLL\IJInst*.DLL,RES\STRING\*.ini
Files=DelDrv.exe,Setup.ini,RES\DLL\IJInst*.DLL,RES\STRING\*.ini
TargetDir=CanonIJ Uninstaller Information
ProductGUID=%PRODUCT_GUID%_%__NAME_PRINTERDRIVER_PARAM__%
CommandLine=/U:%PRODUCT_GUID%_%__NAME_PRINTERDRIVER_PARAM__% /L0x%__SELECTEDLANGID__%
UpgradeCommandLine=/U:%PRODUCT_GUID%_%__NAME_PRINTERDRIVER_PARAM__% /L0x%__SELECTEDLANGID__% /QR:%__NAME_PRINTERDRIVER_PARAM__% /F:%__UPGRADE_FUNCTIONS__%
Shortcut=%NAME_UNINSTALLERSHORTCUT%.lnk

[LANGUAGES]
; LangID(Hex)=LanguageName, StringTableFile, ResourceDLL
; If the righthand value is "<SELECT>", display selection dialog.
; 0000 ---- Neutral(Default)
0000=<SELECT>
0001=Arabic,RES\STRING\IJInstAR.ini,RES\DLL\IJInstAR.dll
0804=Simplified Chinese,RES\STRING\IJInstCN.ini,RES\DLL\IJInstCN.dll
0404=Traditional Chinese,RES\STRING\IJInstTW.ini,RES\DLL\IJInstTW.dll
0005=Czech,RES\STRING\IJInstCZ.ini,RES\DLL\IJInstCZ.dll
0006=Danish,RES\STRING\IJInstDK.ini,RES\DLL\IJInstDK.dll
0007=German,RES\STRING\IJInstDE.ini,RES\DLL\IJInstDE.dll
0008=Greek,RES\STRING\IJInstGR.ini,RES\DLL\IJInstGR.dll
0009=English,RES\STRING\IJInstUS.ini,RES\DLL\IJInstUS.dll
000A=Spanish,RES\STRING\IJInstES.ini,RES\DLL\IJInstES.dll
000B=Finnish,RES\STRING\IJInstFI.ini,RES\DLL\IJInstFI.dll
000C=French,RES\STRING\IJInstFR.ini,RES\DLL\IJInstFR.dll
000E=Hungarian,RES\STRING\IJInstHU.ini,RES\DLL\IJInstHU.dll
0010=Italian,RES\STRING\IJInstIT.ini,RES\DLL\IJInstIT.dll
0011=Japanese,RES\STRING\IJInstJP.ini,RES\DLL\IJInstJP.dll
0012=Korean,RES\STRING\IJInstKR.ini,RES\DLL\IJInstKR.dll
0013=Dutch,RES\STRING\IJInstNL.ini,RES\DLL\IJInstNL.dll
0014=Norwegian,RES\STRING\IJInstNO.ini,RES\DLL\IJInstNO.dll
0015=Polish,RES\STRING\IJInstPL.ini,RES\DLL\IJInstPL.dll
0016=Portuguese,RES\STRING\IJInstPT.ini,RES\DLL\IJInstPT.dll
0019=Russian,RES\STRING\IJInstRU.ini,RES\DLL\IJInstRU.dll
001D=Swedish,RES\STRING\IJInstSE.ini,RES\DLL\IJInstSE.dll
001E=Thai,RES\STRING\IJInstTH.ini,RES\DLL\IJInstTH.dll
001F=Turkish,RES\STRING\IJInstTR.ini,RES\DLL\IJInstTR.dll

[EXIF_Default]
; External Interface (Default)
; Always set installer lang as printer lang.
SetPrinterLang=1
DefaultPrinter=%__FLD_PROGRAM_FILES__%\CanonBJ\IJPrinter\%__NAME_PRINTERDRIVER__%\cnmvsa.exe

[WebSupport]
Files=cnmsmopt.dll,cnmsmopt.htm,pc_mini.jpg,canon.gif
Url=http://www.usa.canon.com/cinc_pdrivers
SourceDir=WebSupport
TargetDir.WIN9X=%__FLD_WINDOWS__%|\IJPrint\%NAME_DEVCODE%
TargetDir=%__FLD_PROGRAM_FILES__%|\CanonBJ\IJPrinter\%__NAME_PRINTERDRIVER__%
